package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.MeetingTime;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MeetingTimeService {
	MeetingTime get(String id);
	boolean exist(String id);
	int insert(MeetingTime model);
	int update(MeetingTime model);
	int delete(String id);
	List<MeetingTime> list();
	List<MeetingTime> findByMeetingId(String meetingId);
	Page<MeetingTime> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}